Bug 98365 - [GTK] accessibility/ellipsis-text.html is failing
: [GTK] accessibility/ellipsis-text.html is failing
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebKit Gtk
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Joanmarie Diggs (irc: joanie)
: Gtk, LayoutTestFailure
Depends on:
Blocks: 98347
  Show dependency treegraph
 
Reported: 2012-10-04 00:39 PDT by Zan Dobersek
Modified: 2012-12-14 00:14 PST (History)
5 users (show)

See Also:


Attachments
Patch (3.05 KB, patch)
2012-12-13 11:37 PST, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zan Dobersek 2012-10-04 00:39:31 PDT
accessibility/ellipsis-text.html is failing on all GTK platforms.
http://test-results.appspot.com/dashboards/flakiness_dashboard.html#group=%40ToT%20-%20webkit.org&tests=accessibility%2Fellipsis-text.html
Comment 1 Joanmarie Diggs (irc: joanie) 2012-10-16 15:07:45 PDT
Looking at the test case with Accerciser, the values are correct for the clipped text. The "failure" is that the test assumes the text object will have an obtainable child; not the case for the Gtk port and its flattened accessible hierarchy.

I think I can tweak the test.
Comment 2 Joanmarie Diggs (irc: joanie) 2012-12-13 11:37:13 PST
Created attachment 179308 [details]
Patch
Comment 3 WebKit Review Bot 2012-12-14 00:14:31 PST
Comment on attachment 179308 [details]
Patch

Clearing flags on attachment: 179308

Committed r137721: <http://trac.webkit.org/changeset/137721>
Comment 4 WebKit Review Bot 2012-12-14 00:14:34 PST
All reviewed patches have been landed.  Closing bug.